Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.move.composite
Class CartesianProductMoveSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
              org.optaplanner.core.config.heuristic.selector.move.composite.CartesianProductMoveSelectorConfig

    public class CartesianProductMoveSelectorConfig

extends MoveSelectorConfig

Field Summary

Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

Constructor Summary
`CartesianProductMoveSelectorConfig()`
`CartesianProductMoveSelectorConfig(List<MoveSelectorConfig> moveSelectorConfigList)`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
`Boolean` | `getIgnoreEmptyChildIterators()`
`List<MoveSelectorConfig>` | `getMoveSelectorConfigList()`
`void` | `inherit(CartesianProductMoveSelectorConfig inheritedConfig)`
`void` | `setIgnoreEmptyChildIterators(Boolean ignoreEmptyChildIterators)`
`void` | `setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, determineBaseRandomSelection, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inherit, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CartesianProductMoveSelectorConfig

    public CartesianProductMoveSelectorConfig()

### CartesianProductMoveSelectorConfig

    public CartesianProductMoveSelectorConfig(List<MoveSelectorConfig> moveSelectorConfigList)

Method Detail

### getMoveSelectorConfigList

    public List<MoveSelectorConfig> getMoveSelectorConfigList()

### setMoveSelectorConfigList

    public void setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)

### getIgnoreEmptyChildIterators

    public Boolean getIgnoreEmptyChildIterators()

### setIgnoreEmptyChildIterators

    public void setIgnoreEmptyChildIterators(Boolean ignoreEmptyChildIterators)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              boolean randomSelection)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
  Returns:
    never null

### inherit

    public void inherit(CartesianProductMoveSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.